curl --request GET \
--url https://app.famulor.io/api/v1/tools/app-actions/{toolId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.famulor.io/api/v1/tools/app-actions/{toolId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.io/api/v1/tools/app-actions/{toolId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.io/api/v1/tools/app-actions/{toolId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.io/api/v1/tools/app-actions/{toolId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.famulor.io/api/v1/tools/app-actions/{toolId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.famulor.io/api/v1/tools/app-actions/{toolId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"binding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_active": true,
"app": "<string>",
"app_name": "<string>",
"action": "<string>",
"action_name": "<string>",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"risk": "read",
"confirmation": "ask_first",
"status": "ok",
"update_available": true,
"version": "<string>",
"fields": [
{
"key": "<string>",
"path": "<string>",
"label": "<string>",
"type": "string",
"required": true,
"allowed_modes": [
"ai"
],
"mode": "ai",
"items": "string",
"columns": [
{
"key": "<string>",
"label": "<string>",
"type": "string",
"required": true,
"enum": [
"<string>"
],
"format": "date"
}
],
"cell_type": "string",
"enum": [
"<string>"
],
"format": "date",
"param": "<string>",
"provider_description": "<string>",
"description": "<string>",
"value": "<unknown>",
"variable": "<string>",
"example": "<string>",
"default_value": "<unknown>"
}
],
"model": {
"use_when": "<string>",
"description_override": "<string>"
},
"result_config": {
"mode": "auto",
"max_chars": 1850,
"paths": [
"<string>"
]
},
"revision": 2
}
}Get an app action tool
Read an app action tool with its app, action, connection, field settings, confirmation and result settings. Requires an owner or admin credential. Required scope: assistants:read.
curl --request GET \
--url https://app.famulor.io/api/v1/tools/app-actions/{toolId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.famulor.io/api/v1/tools/app-actions/{toolId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.io/api/v1/tools/app-actions/{toolId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.io/api/v1/tools/app-actions/{toolId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.io/api/v1/tools/app-actions/{toolId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.famulor.io/api/v1/tools/app-actions/{toolId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.famulor.io/api/v1/tools/app-actions/{toolId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"binding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_active": true,
"app": "<string>",
"app_name": "<string>",
"action": "<string>",
"action_name": "<string>",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"risk": "read",
"confirmation": "ask_first",
"status": "ok",
"update_available": true,
"version": "<string>",
"fields": [
{
"key": "<string>",
"path": "<string>",
"label": "<string>",
"type": "string",
"required": true,
"allowed_modes": [
"ai"
],
"mode": "ai",
"items": "string",
"columns": [
{
"key": "<string>",
"label": "<string>",
"type": "string",
"required": true,
"enum": [
"<string>"
],
"format": "date"
}
],
"cell_type": "string",
"enum": [
"<string>"
],
"format": "date",
"param": "<string>",
"provider_description": "<string>",
"description": "<string>",
"value": "<unknown>",
"variable": "<string>",
"example": "<string>",
"default_value": "<unknown>"
}
],
"model": {
"use_when": "<string>",
"description_override": "<string>"
},
"result_config": {
"mode": "auto",
"max_chars": 1850,
"paths": [
"<string>"
]
},
"revision": 2
}
}Authorizations
API key (fam_..., created under Settings → API Keys) or an OAuth 2.0 access token (fam_at_...). REST operations also require API Access for the credential's workspace. Keys can be restricted to scopes such as assistants:read, calls:write, campaigns:write, automations:read, dashboards:read, dashboards:write, leads:write, segments:write, loop:read, loop:write, phone_numbers:write, sip_trunks:write, knowledge:write, voices:read, billing:read, billing:write, settings:write, platform:read, platform:write; a *:write scope implies the matching *:read. Automation and dashboard endpoints also accept the legacy calls:* scope. Keys without scope restrictions have full access within the workspace's available capabilities.